name: 'CI'

on: [ push, pull_request, workflow_dispatch ]

jobs:
  test:
    strategy:
      fail-fast: false
      matrix:
        php-version: [ '8.2' ]
        dokuwiki-branch: [ 'master', 'stable' ]
        include:
          - php-version: '8.4'
            dokuwiki-branch: 'master'
          - php-version: '8.3'
            dokuwiki-branch: 'master'

    uses: mprins/.github/.github/workflows/test.yml@main
    with:
      php-version: "${{ matrix.php-version }}"
      dokuwiki-branch: "${{ matrix.dokuwiki-branch }}"